---
author:
- Orestis Malaspinas
title: Cours de programmation séquentielle
autoSectionLabels: true
autoEqnLabels: true
eqnPrefix: 
  - "éq."
  - "éqs."
chapters: true
numberSections: true
chaptersDepth: 1
sectionsDepth: 3
lang: fr
documentclass: book
papersize: A4
cref: false
pandoc-numbering:
  - category: exercice
    listing: Liste des exercices
urlcolor: blue
corrige: false
---

# Cours de programmation séquentielle

## Introduction [PDF](intro.pdf)

## Base 1 [PDF](base_1.pdf)

- Introduction générale au C.
- Qu'est-ce qu'un programme?
- Types de base.
- Expressions et opérateurs.
- Structures de contrôle.
- Les variables.

## Base 2 [PDF](base_2.pdf)

- Représentation variables en mémoire.
- Les pointeurs.
- Les fonctions.
- Les tableaux.

## Base 3 [PDF](base_3.pdf)

- Structures.
- Allocation dynamique de mémoire.
- Prototypes de fonctions.
- Génération d'un exécutable.
- Préprocesseur.

## Introduction à `make` [PDF](make.pdf)

- Représentation variables en mémoire.
- Les pointeurs.
- Les fonctions.
- Les tableaux.